{{#if this.sameDay}}
  <TextWithOptions
    @options={{@options.date}}
    @deviceSize={{@deviceSize}}
    @tag="span"
    data-name={{@name}}
    data-gid={{@gid}}
    data-type="time"
    data-path="{{@path}}.data.date"
    class="time-interval-date"
  >{{!
  }}{{this.dateOn}}{{!
}}</TextWithOptions>

  <FaIcon @icon="clock" class="text-muted"/>

  <TextWithOptions
    @options={{@options.time}}
    @deviceSize={{@deviceSize}}
    @tag="span"
    data-name={{@name}}
    data-gid={{@gid}}
    data-type="time"
    data-path="{{@path}}.data.time"
    class="time-interval-time"
  >{{!
  }}{{this.time}}{{!
}}</TextWithOptions>
{{/if}}

{{#if this.otherDay}}
  <MarkDown class="time-interval-date d-inline-block" @value={{this.dateBetween}} />
{{/if}}

{{#if this.timezone}}
  <TextWithOptions
    @options={{@options.timezone}}
    @deviceSize={{@deviceSize}}
    @tag="span"
    data-name={{@name}}
    data-gid={{@gid}}
    data-type="timezone"
    data-path="{{@path}}.data.timezone"
    class="time-interval-time-zone"
  >{{!
  }}{{this.timezone}}{{!
}}</TextWithOptions>
{{/if}}